import React from 'react';
import { createFromIconfontCN } from '@ant-design/icons';

import '@/common/iconfont/iconfont.js';

const IconFont = createFromIconfontCN({
  scriptUrl: [],
});

const CreateIcon = (props) => {
  const { type, style = { color: "#000", fontSize: 16 } } = props;

  return <IconFont type={`icon-${type}`} style={style} />
}

export default CreateIcon;